<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<script type="text/javascript">
layui.use(['form', 'layedit', 'laydate'], function(){
   var form = layui.form;
   form.render();
   //获取父类页面 input 框的值 工程 id
   var newText1 = parent.$('#addtext').val();
   $("#newText1").val(newText1);
})

function doSubmit(obj){ // 添加项目提交方法
    var div1_value =  $("#mydiv1").text();
    var div2_value =  $("#mydiv2").text();
    //判断是否选择文件
   if ($("#myfile").val()==null||$("#myfile").val()==""){
       layer.msg("请选择结算书",{icon: 3});
       throw SyntaxError;
   }
   //判断项目名称是否存在
   if (div1_value==null||div1_value==""){
       layer.msg("请输入结算书名称",{icon:3});
       throw SyntaxError;
   }
    // if($("#inputNumber").val()==null||$("#inputNumber").val()==""){
    //     layer.msg("请输入结算书编号",{icon:3});
    //     throw SyntaxError;
    // }
    if(div2_value==null||div2_value==""){
        layer.msg("请输入供应商",{icon:3});
        throw SyntaxError;
    }
    $("#inputwrite").val(div1_value);
    $("#inputUnit").val(div2_value);
    layer.msg('加载中', {
        icon: 16
        ,shade: 0.01
        ,time:false
        ,offset:['37%','36%']
    });
   $.ajax({
      type: "post",
      url: "${ctx}/project/tem/verfiy",
      // contentType: 'application/x-www-form-urlencoded;charset=utf-8',
      data: {projectName:$("#inputwrite").val(),projectId:$("#newText1").val()},
      dataType: "json",
      success: function(data){
          if(data.code=="1"){
             $("#inputForm").submit();
          }else{
             layer.msg(data.msg, {icon: 5,offset:['33%','33%']});
          }
      }
   });
   return false;
}
$(document).ready(function() {
    //点击触发选择文件input框
    $("#btnxz").click(function(){
        $("#myfile").trigger("click");
    })
    //获取现在的文件的名称展示在input框当中
    $("#myfile").bind("change",function(){
        var solr_file= $("#myfile").val();
        var index = solr_file.lastIndexOf("\\");
        var index1 = solr_file.lastIndexOf(".xls");
        var name = solr_file.substring(index+1,index1);
        $("#view_input").val(solr_file);
        $("#mydiv1").text(name);
    })
})

</script>